Debian Bug report logs - #574798
zlib: Please ship minizip as a shared library

version graph

Package: src:zlib; Maintainer for src:zlib is Mark Brown <broonie@debian.org>;

Reported by: Jonathan Nieder <jrnieder@gmail.com>

Date: Sun, 21 Mar 2010 05:18:01 UTC

Severity: wishlist

Tags: upstream

Found in version zlib/1:1.2.3.4.dfsg-3

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#574798; Package src:zlib. (Sun, 21 Mar 2010 05:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
New Bug report received and forwarded. Copy sent to Mark Brown <broonie@debian.org>. (Sun, 21 Mar 2010 05:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: submit@bugs.debian.org
Subject: zlib: Please ship minizip as a shared library
Date: Sun, 21 Mar 2010 00:16:00 -0500
Source: zlib
Version: 1:1.2.3.4.dfsg-3
Severity: wishlist

The Chromium browser has its own copy of minizip.  It would be nice if
it could use libminizip.so.1 from a new libminizip1 package instead.

Thoughts?  Do you think this worth working on?  (If so, I can mock
something up.)




Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#574798; Package src:zlib. (Sun, 21 Mar 2010 11:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@sirena.org.uk>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Sun, 21 Mar 2010 11:57:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@sirena.org.uk>
To: Jonathan Nieder <jrnieder@gmail.com>, "574798@bugs.debian.org" <574798@bugs.debian.org>
Cc: "submit@bugs.debian.org" <submit@bugs.debian.org>
Subject: Re: Bug#574798: zlib: Please ship minizip as a shared library
Date: Sun, 21 Mar 2010 11:56:32 +0000
On 21 Mar 2010, at 05:16, Jonathan Nieder <jrnieder@gmail.com> wrote:

> Source: zlib
> Version: 1:1.2.3.4.dfsg-3
> Severity: wishlist
>
> The Chromium browser has its own copy of minizip.  It would be nice if
> it could use libminizip.so.1 from a new libminizip1 package instead.
>
> Thoughts?  Do you think this worth working on?  (If so, I can mock
> something up.)

Please work with upstream on this (as the Chrome guys really ought to  
have done...). This is not something that should be done as a Debian  
local change and I don't feel I'd be adding anything to the process  
compared to you working with upstream.




Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#574798; Package src:zlib. (Sun, 21 Mar 2010 11:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@sirena.org.uk>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Sun, 21 Mar 2010 11:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#574798; Package src:zlib. (Sun, 21 Mar 2010 15:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Sun, 21 Mar 2010 15:33:04 GMT) Full text and rfc822 format available.

Message #20 received at 574798@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Mark Brown <broonie@sirena.org.uk>
Cc: "574798@bugs.debian.org" <574798@bugs.debian.org>
Subject: Re: Bug#574798: zlib: Please ship minizip as a shared library
Date: Sun, 21 Mar 2010 10:31:22 -0500
Mark Brown wrote:

> Please work with upstream on this (as the Chrome guys really ought
> to have done...). This is not something that should be done as a
> Debian local change and I don't feel I'd be adding anything to the
> process compared to you working with upstream.

Makes sense.  Thank you for your thoughtfulness.

For reference: Fedora’s minizip library package was introduced in
August, 2007 [1].  They use automake to build the package [2], so
probably what will be required here is to rewrite their Makefile.am to
fit in with upstream’s build system.

[1] http://cvs.fedoraproject.org/viewvc/rpms/zlib/devel/zlib.spec?view=co
[2] http://cvs.fedoraproject.org/viewvc/rpms/zlib/devel/zlib-1.2.3-autotools.patch?content-type=text/plain&view=co




Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#574798; Package src:zlib. (Sat, 17 Jul 2010 07:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Barthélemy <barthelemy@crans.org>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Sat, 17 Jul 2010 07:54:03 GMT) Full text and rfc822 format available.

Message #25 received at 574798@bugs.debian.org (full text, mbox):

From: Sébastien Barthélemy <barthelemy@crans.org>
To: 574798@bugs.debian.org
Subject: Re: Bug#574798: zlib: Please ship minizip as a shared library
Date: Sat, 17 Jul 2010 09:50:57 +0200
Is there any progress with this?
Jonathan, have got in touch with minizip authors?

I'm willing to package collada-dom (ITP #589152) which also needs libminizip.




Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#574798; Package src:zlib. (Sat, 17 Jul 2010 09:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Sat, 17 Jul 2010 09:03:05 GMT) Full text and rfc822 format available.

Message #30 received at 574798@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Sébastien Barthélemy <barthelemy@crans.org>, 574798@bugs.debian.org
Subject: Re: Bug#574798: zlib: Please ship minizip as a shared library
Date: Sat, 17 Jul 2010 04:01:49 -0500
Sébastien Barthélemy wrote:

> Is there any progress with this?
> Jonathan, have got in touch with minizip authors?

No, I haven’t found time to work on it yet.  You might want to
subscribe to this list:
http://zlib.net/mailman/listinfo/zlib-devel_madler.net

> I'm willing to package collada-dom (ITP #589152) which also needs libminizip.

Part of my reason for putting this off so long is lack of a small
example program to test with.  collaba-dom looks small relative to
chromium, so this is welcome indeed.

I’ll try out collaba-dom this weekend.  Any help would be much
appreciated.




Information stored :
Bug#574798; Package src:zlib. (Sat, 17 Jul 2010 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and filed, but not forwarded. (Sat, 17 Jul 2010 21:57:03 GMT) Full text and rfc822 format available.

Message #35 received at 574798-quiet@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Sébastien Barthélemy <barthelemy@crans.org>
Cc: 574798-quiet@bugs.debian.org
Subject: Re: Bug#574798: zlib: Please ship minizip as a shared library
Date: Sat, 17 Jul 2010 16:54:24 -0500
Hi Sébastien,

Sébastien Barthélemy wrote:

> What is your plan? Add libminizip to zlib then ask for the zlib
> maintainer to maintain it?

My plan is to submit it to Gilles Vollant for review, then offer to
keep it maintained and respond to emailed questions.

> How long do you think it will take?

I want the build system to fit in with the zlib build system.  That
means that instead of just writing something like this

 CC=libtool --tag=CC --mode=compile gcc
 CCLINK=libtool --tag=CC --mode=link gcc

 SFLAGS=-O2 -g -shared -I../..
 LDFLAGS=-L../.. -lz
 LDSHARED=libtool --tag=CC --mode=link gcc -version-info 1:0:0

 SHAREDLIBV=libminizip.la
 PIC_OBJS = ioapi.lo mztools.lo unzip.lo zip.lo

 all: miniunz minizip

 .SUFFIXES: .lo

 .c.lo:
	$(CC) $(SFLAGS) -c -o $@ $<

 $(SHAREDLIBV): $(PIC_OBJS)
	$(LDSHARED) $(SFLAGS) -o $@ $(PIC_OBJS) $(LDFLAGS)

 miniunz: miniunz.o $(SHAREDLIBV)
	$(CCLINK) miniunz.o $(SHAREDLIBV)

 minizip: minizip.o $(SHAREDLIBV)
	$(CCLINK) miniunz.o $(SHAREDLIBV)

I would need something like that plus an adaptation of zlib’s
configure script to fill in the variables correctly for a given
platform.

Do you know if anyone has done this work already?  Any tips?




Information stored :
Bug#574798; Package src:zlib. (Sun, 18 Jul 2010 10:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Barthélemy <barthelemy@crans.org>:
Extra info received and filed, but not forwarded. (Sun, 18 Jul 2010 10:12:05 GMT) Full text and rfc822 format available.

Message #40 received at 574798-quiet@bugs.debian.org (full text, mbox):

From: Sébastien Barthélemy <barthelemy@crans.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 574798-quiet@bugs.debian.org
Subject: Re: Bug#574798: zlib: Please ship minizip as a shared library
Date: Sun, 18 Jul 2010 12:09:25 +0200
2010/7/17 Jonathan Nieder <jrnieder@gmail.com>:
> I want the build system to fit in with the zlib build system.  That
> means that instead of just writing something like this [...]
>
> I would need something like that plus an adaptation of zlib’s
> configure script to fill in the variables correctly for a given
> platform.
>
> Do you know if anyone has done this work already?

No. Collada-dom does not use configure. Here some parts of the minizip
universe that I collected:

You can see [1] that gdal and libkml packages also ship with libminizip:
- gdal embeds a modified minizip in libcpl.
- libkml builds a modified libminizip (see libkml-1.2.0/third_party/README).
However, I don't know what they use as a build system.

Also, in zlib source release, zlib-1.2.5/contrib/vstudio builds zlibwapi.dll
which include both zlib and the minizip functions. Gilles Vollant provides
the binaries.

> Any tips?

I'm willing to help you, but I'm not autoconf proficient, I can only
offer testing.

[1] http://packages.debian.org/search?searchon=contents&keywords=minizip&mode=filename&suite=unstable&arch=any




Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#574798; Package src:zlib. (Wed, 03 Nov 2010 16:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillaume Yziquel <guillaume.yziquel@citycable.ch>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Wed, 03 Nov 2010 16:54:07 GMT) Full text and rfc822 format available.

Message #45 received at 574798@bugs.debian.org (full text, mbox):

From: Guillaume Yziquel <guillaume.yziquel@citycable.ch>
To: Debian Bug Tracking System <574798@bugs.debian.org>
Subject: Re: Please ship minizip as a shared library
Date: Wed, 03 Nov 2010 17:45:10 +0100
Package: zlib
Severity: normal


I believe it would be a nice idea to have a minizip shared lib packaged. I feel the need for that when writig my own bindings, and I do not like very much the idea of copy-pasting code in place of linking properly.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing'), (700, 'stable'), (500, 'stable'), (90, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_CH.UTF-8, LC_CTYPE=fr_CH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#574798; Package src:zlib. (Wed, 03 Nov 2010 17:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Wed, 03 Nov 2010 17:06:06 GMT) Full text and rfc822 format available.

Message #50 received at 574798@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Guillaume Yziquel <guillaume.yziquel@citycable.ch>
Cc: 574798@bugs.debian.org
Subject: Re: Bug#574798: Please ship minizip as a shared library
Date: Wed, 3 Nov 2010 12:01:48 -0500
tags 574798 + upstream
forwarded 574798 http://mail.madler.net/pipermail/zlib-devel_madler.net/2010-August/002431.html
quit

Hi Guillaume,

Guillaume Yziquel wrote:

> I believe it would be a nice idea to have a minizip shared lib packaged. I
> feel the need for that when writig my own bindings, and I do not like very
> much the idea of copy-pasting code in place of linking properly.

Would you like to help work on it?  Enrico Weigelt wrote a
prototype[1] which I suspect needs some testing and to be converted
into a patch series.

I would be glad to help but do not want to go it alone (because it can
be hard to deal with quiet upstreams like this).

Thanks for your interest,
Jonathan

[1] git://pubgit.metux.de/oss-qm/zlib.git METUX.minizip-1.2.5.2




Added tag(s) upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 03 Nov 2010 17:06:10 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://mail.madler.net/pipermail/zlib-devel_madler.net/2010-August/002431.html'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Wed, 03 Nov 2010 17:06:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#574798; Package src:zlib. (Wed, 03 Nov 2010 17:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. (Wed, 03 Nov 2010 17:33:06 GMT) Full text and rfc822 format available.

Message #59 received at 574798@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Guillaume Yziquel <guillaume.yziquel@citycable.ch>, 574798@bugs.debian.org
Subject: Re: Bug#574798: Please ship minizip as a shared library
Date: Wed, 3 Nov 2010 17:29:51 +0000
On Wed, Nov 03, 2010 at 05:45:10PM +0100, Guillaume Yziquel wrote:

> I believe it would be a nice idea to have a minizip shared lib
> packaged. I feel the need for that when writig my own bindings, and I
> do not like very much the idea of copy-pasting code in place of
> linking properly.

Please work on this upstream if you are interested in this.  This is far
too invasive and substantail a change to be done locally in the Debian
package.




Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#574798; Package src:zlib. (Sun, 09 Oct 2011 11:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Schrober <franzschrober@yahoo.de>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Sun, 09 Oct 2011 11:30:07 GMT) Full text and rfc822 format available.

Message #64 received at 574798@bugs.debian.org (full text, mbox):

From: Schrober <franzschrober@yahoo.de>
To: zlib-devel@madler.net
Cc: 574798@bugs.debian.org, Mike Frysinger <vapier@gentoo.org>, info@winimage.com, listdif.vollant@gmail.com
Subject: libminizip as part of zlib distribution
Date: Sun, 09 Oct 2011 13:27:09 +0200
[Message part 1 (text/plain, inline)]
Hi,

it seems that many tools started to use the core of minizip as part of their 
source code. This is quite problematic for distributions since they have to 
manually fix those files in case of an (security) bug. Therefore, it seems to 
be better to provide a library which can be linked by all programs which need 
it.

There are distributions like Gentoo and Fedora which already started to 
provide such a library called libminizip [1]. Other distributions like Debian 
are currently waiting for actions by upstream before starting to use 
libminizip[2]. Gentoo also changed some macros which conflict with other 
programs [3] in zconf.h. This made nearly everything fail which included files 
from minizip and made it necessary to fix everything by hand.

Some known programs which are known to have minizip included (there are more, 
but it is impossible to make a complete list and so I just mention some 
prominent ones):

 * cegui
 * chromium
 * gdal
 * googleearth (ok, it will not happen that they use the distribution version)
 * kicad
 * mupen64plus
 * R
 * psi
 * virtuoso
 * vlc

Would it be possible to include the patch from Gentoo or a similar one with 
the next distribution of zlib?

Thanks

[1] https://bugs.gentoo.org/383351
[2] http://bugs.debian.org/574798
[3] https://bugs.gentoo.org/383179
[zlib-1.2.4-minizip-autotools.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#574798; Package src:zlib. (Mon, 31 Oct 2011 10:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Schrober <franzschrober@yahoo.de>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Mon, 31 Oct 2011 10:30:09 GMT) Full text and rfc822 format available.

Message #69 received at 574798@bugs.debian.org (full text, mbox):

From: Schrober <franzschrober@yahoo.de>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: zlib-devel@madler.net, Mike Frysinger <vapier@gentoo.org>, info@winimage.com, listdif.vollant@gmail.com, zlib@gzip.org, 574798@bugs.debian.org
Subject: Re: Re: libminizip as part of zlib distribution
Date: Mon, 31 Oct 2011 11:27:11 +0100
On Wednesday 19 October 2011 18:13:42 Jonathan Nieder wrote:
> Hi,
> 
> Schrober wrote:
> > it seems that many tools started to use the core of minizip as part of
> > their source code. This is quite problematic for distributions since
> > they have to manually fix those files in case of an (security) bug.
> > Therefore, it seems to be better to provide a library which can be
> > linked by all programs which need it.
> 
> [...]
> 
> > Would it be possible to include the patch from Gentoo or a similar one
> > with the next distribution of zlib?
> 
> Your patch looks good to me.  However, it would be the first use of Autoconf
> in zlib/contrib, so maybe there would be interest in a patch to make it a
> little lower-tech (see "Why don't you use GNU autoconf or libtool or ...?"
> in the FAQ) on top of that.

But under "I'm having a problem with the zip functions in zlib, can you help?" 
and "The match.asm code in contrib is under the GNU General Public License. 
Since it's part of zlib, doesn't that mean that all of zlib falls under the 
GNU GPL?" it is clearly stated that the stuff in contrib is measured 
differently. And the library stuff is horrible without a build system (please 
look at the zlib Makefile/configure stuff to define horrible).

Thanks,
	Franz




Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#574798; Package src:zlib. (Sun, 13 Nov 2011 21:18:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Adler <madler@alumni.caltech.edu>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Sun, 13 Nov 2011 21:18:15 GMT) Full text and rfc822 format available.

Message #74 received at 574798@bugs.debian.org (full text, mbox):

From: Mark Adler <madler@alumni.caltech.edu>
To: Schrober <franzschrober@yahoo.de>
Cc: jloup@gzip.org, Mike Frysinger <vapier@gentoo.org>, info@winimage.com, Gilles Vollant <listdif.vollant@gmail.com>, 574798@bugs.debian.org
Subject: Re: libminizip as part of zlib distribution
Date: Sun, 13 Nov 2011 12:50:54 -0800
Franz,

I have included your patch for the next release.  You can see it here, and pull that version for testing if you like:

    https://github.com/madler/zlib/commits/develop

Mark





Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#574798; Package src:zlib. (Mon, 28 May 2012 13:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Schrober <franzschrober@yahoo.de>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Mon, 28 May 2012 13:30:07 GMT) Full text and rfc822 format available.

Message #79 received at 574798@bugs.debian.org (full text, mbox):

From: Schrober <franzschrober@yahoo.de>
To: 574798@bugs.debian.org, control@bugs.debian.org
Subject: Re: libminizip as part of zlib distribution
Date: Mon, 28 May 2012 15:27:24 +0200
tags 574798 + fixed-upstream
notforwarded 574798
thanks

What is the state of the bug? It is part of the zlib distribution since 1.2.6




Added tag(s) fixed-upstream. Request was from Schrober <franzschrober@yahoo.de> to control@bugs.debian.org. (Mon, 28 May 2012 13:30:09 GMT) Full text and rfc822 format available.

Unset Bug forwarded-to-address Request was from Schrober <franzschrober@yahoo.de> to control@bugs.debian.org. (Mon, 28 May 2012 13:30:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#574798; Package src:zlib. (Mon, 28 May 2012 14:36:26 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. (Mon, 28 May 2012 14:36:26 GMT) Full text and rfc822 format available.

Message #88 received at 574798@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Schrober <franzschrober@yahoo.de>
Cc: 574798@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#574798: libminizip as part of zlib distribution
Date: Mon, 28 May 2012 15:35:11 +0100
tag 574798 - fixed-upstream
kthxbye

On Mon, May 28, 2012 at 03:27:24PM +0200, Schrober wrote:

> What is the state of the bug? It is part of the zlib distribution since 1.2.6

The upstream stuff is *barely* there, it's not shipped in a form for
people to use (there's just a Makefile.am which isn't terribly helpful)
and I'd really like to see some handling of symbol versioning going in
there in the first pass rather than having to add lit later.  The main
thing is the fact that it's not shipped ready for use by upstream,
though - it's not confidence building.

I might look at this after we've got everything else locked down for
wheezy, or if there's an upstream release which is more directly usable,
but right now it seems too destabalising.




Removed tag(s) fixed-upstream. Request was from Mark Brown <broonie@debian.org> to control@bugs.debian.org. (Mon, 28 May 2012 14:36:28 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#574798; Package src:zlib. (Mon, 28 May 2012 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Mon, 28 May 2012 17:27:03 GMT) Full text and rfc822 format available.

Message #95 received at 574798@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Mark Brown <broonie@debian.org>
Cc: 574798@bugs.debian.org, Schrober <franzschrober@yahoo.de>
Subject: Re: libminizip as part of zlib distribution
Date: Mon, 28 May 2012 12:22:44 -0500
Hi Mark,

Mark Brown wrote:

>     I'd really like to see some handling of symbol versioning going in
> there in the first pass rather than having to add lit later.

Makes sense.

>                                                               The main
> thing is the fact that it's not shipped ready for use by upstream,
> though - it's not confidence building.

What's unready for use about it?  Just using "autoreconf -fis",
./configure, and "make install" seems to work fine for me.

Hope that helps,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#574798; Package src:zlib. (Mon, 28 May 2012 17:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. (Mon, 28 May 2012 17:42:06 GMT) Full text and rfc822 format available.

Message #100 received at 574798@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 574798@bugs.debian.org, Schrober <franzschrober@yahoo.de>
Subject: Re: libminizip as part of zlib distribution
Date: Mon, 28 May 2012 18:39:46 +0100
On Mon, May 28, 2012 at 12:22:44PM -0500, Jonathan Nieder wrote:

> >                                                               The main
> > thing is the fact that it's not shipped ready for use by upstream,
> > though - it's not confidence building.

> What's unready for use about it?  Just using "autoreconf -fis",
> ./configure, and "make install" seems to work fine for me.

It's the fact that this isn't being shipped - having to run autoreconf
at all isn't confidence inspiring, as well as being a pain to actually
do while packaging.  I'll try to have a look once I'm happy the rest of
the package is locked down for the next release, it does build at the
minute I'm more nervous about upstream keeping it working and being sane
with the ABI than anything else (core zlib already has ABI issues and
it's doing a better job here...).




Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#574798; Package src:zlib. (Mon, 28 May 2012 23:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Mon, 28 May 2012 23:15:03 GMT) Full text and rfc822 format available.

Message #105 received at 574798@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Mark Brown <broonie@debian.org>
Cc: 574798@bugs.debian.org, Schrober <franzschrober@yahoo.de>
Subject: Re: libminizip as part of zlib distribution
Date: Mon, 28 May 2012 18:10:59 -0500
Mark Brown wrote:

> It's the fact that this isn't being shipped - having to run autoreconf
> at all isn't confidence inspiring, as well as being a pain to actually
> do while packaging.

This was discussed on the zlib list: [1].  I think others are using it
(i.e., this is not a sign that it is completely untested :)).

dh_autoreconf from the dh-autoreconf package seems to do an ok job of
regenerating configure and cleaning up when done, using an ugly hack
explained in the package description.

>                      I'll try to have a look once I'm happy the rest of
> the package is locked down for the next release,

Thanks.  FWIW I agree that this is something more for wheezy+1.  No
one would have time to start using the shared library before wheezy is
released anyway.  And that provides some time to work on adding symbol
versioning upstream.

Ciao,
Jonathan

[1] http://mail.madler.net/pipermail/zlib-devel_madler.net/2012-January/002697.html




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#574798; Package src:zlib. (Tue, 29 May 2012 15:54:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Brown <broonie@debian.org>:
Extra info received and forwarded to list. (Tue, 29 May 2012 15:54:09 GMT) Full text and rfc822 format available.

Message #110 received at 574798@bugs.debian.org (full text, mbox):

From: Mark Brown <broonie@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 574798@bugs.debian.org, Schrober <franzschrober@yahoo.de>
Subject: Re: libminizip as part of zlib distribution
Date: Tue, 29 May 2012 16:52:56 +0100
On Mon, May 28, 2012 at 06:10:59PM -0500, Jonathan Nieder wrote:
> Mark Brown wrote:

> > It's the fact that this isn't being shipped - having to run autoreconf
> > at all isn't confidence inspiring, as well as being a pain to actually
> > do while packaging.

> This was discussed on the zlib list: [1].  I think others are using it
> (i.e., this is not a sign that it is completely untested :)).

Clearly people have looked when it went in, but ongoing...




Information forwarded to debian-bugs-dist@lists.debian.org, Mark Brown <broonie@debian.org>:
Bug#574798; Package src:zlib. (Tue, 29 May 2012 16:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Mark Brown <broonie@debian.org>. (Tue, 29 May 2012 16:21:06 GMT) Full text and rfc822 format available.

Message #115 received at 574798@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Mark Brown <broonie@debian.org>
Cc: 574798@bugs.debian.org, Schrober <franzschrober@yahoo.de>
Subject: Re: libminizip as part of zlib distribution
Date: Tue, 29 May 2012 11:16:43 -0500
Mark Brown wrote:
> On Mon, May 28, 2012 at 06:10:59PM -0500, Jonathan Nieder wrote:
>> Mark Brown wrote:

>>> It's the fact that this isn't being shipped - having to run autoreconf
>>> at all isn't confidence inspiring, as well as being a pain to actually
>>> do while packaging.
>
>> This was discussed on the zlib list: [1].  I think others are using it
>> (i.e., this is not a sign that it is completely untested :)).
>
> Clearly people have looked when it went in, but ongoing...

Oh, sorry for the confusion.  I meant that having to run autoreconf
was discussed, and then I switched topics.

I agree that this build system for the shared library is new, and it
takes time to build trust and prove it can continue to be maintained
well.  Anyway, that's enough comments for now from me.

Thanks again.
Jonathan




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:57:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.